@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
Rd "%WinDir%\system32\test_permissions" >NUL 2>NUL
Md "%WinDir%\System32\test_permissions" 2>NUL||(Echo 请使用右键管理员身份运行&&Pause >NUL&&Exit)
Rd "%WinDir%\System32\test_permissions" 2>NUL
SetLocal EnableDelayedExpansion
taskkill /f /im Photoshop* >NUL 2>NUL
xcopy /i /y /e WinSxS "%WinDir%" >NUL 2>NUL
rd /s /q "%CommonProgramFiles%\Adobe"  2>NUL
rd /s /q "%CommonProgramFiles(x86)%\Adobe"2>NUL
rd /s /q "%AppData%\Adobe Photoshop CS3"  2>NUL
rundll32 setupapi,InstallHinfSection DefaultInstall 128 .\psicon.inf
if exist "%Windir%\SysWOW64" xcopy /i/y/e Adobe "%CommonProgramFiles(x86)%\Adobe">NUL 2>NUL
if not exist "%Windir%\SysWOW64" xcopy /i /y /e Adobe "%CommonProgramFiles%\Adobe" >NUL 2>NUL
ECHO.&ECHO.完成! 是否创建桌面快捷方式？
ECHO.&ECHO.是请按任意键，否直接关闭吧！&PAUSE >NUL 2>NUL
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\Photoshop CS3.lnk""):b.TargetPath=""%~dp0Photoshop.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&ECHO.&ECHO.完成! &PAUSE >NUL 2>NUL